#include <stdio.h>

void main(int argc, char *argv[])
{
   FILE *fpsrc, *fpdst;
   int c;

   if (argc != 3)
   {
      fprintf(stderr, "usage: cp srcfile dstfile\n");
      return;
   }

   if ((fpsrc = fopen(argv[1], "rb")) == NULL)
   {
      fprintf(stderr, "unable to open %s for reading\n", argv[1]);
      return;
   }

   if ((fpdst = fopen(argv[2], "wb")) == NULL)
   {
      fprintf(stderr, "unable to open %s for writing\n", argv[1]);
      fclose(fpsrc);
      return;
   }

   while ((c = fgetc(fpsrc)) != EOF)
      if (fputc(c, fpdst) == EOF)
      {
         fprintf(stderr, "unable to write to %s\n", argv[1]);
         break;
      }

   if (fclose(fpsrc) == EOF)
      fprintf(stderr, "unable to close %s\n", argv[0]);

   if (fclose(fpdst) == EOF)
      fprintf(stderr, "unable to close %s\n", argv[1]);
}